diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -3989,140 +3990,140 @@ E(alue is the octal v)-.25 E(alue)-.25 E F2(nnn)2.5 E F0
 (\(one to three digits\))2.5 E F1(\\x)144 220.8 Q F2(HH)A F0
 (the eight-bit character whose v)13.78 E(alue is the he)-.25 E
 (xadecimal v)-.15 E(alue)-.25 E F2(HH)2.5 E F0(\(one or tw)2.5 E 2.5(oh)
--.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E 1.141(When entering the te)108
+-.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E 1.142(When entering the te)108
 237.6 R 1.141(xt of a macro, single or double quotes must be used to in\
-dicate a macro de\214nition.)-.15 F .09(Unquoted te)108 249.6 R .09
-(xt is assumed to be a function name.)-.15 F .089(In the macro body)
-5.089 F 2.589(,t)-.65 G .089(he backslash escapes described abo)-2.589 F
--.15(ve)-.15 G(are e)108 261.6 Q 2.5(xpanded. Backslash)-.15 F
-(will quote an)2.5 E 2.5(yo)-.15 G(ther character in the macro te)-2.5 E
-(xt, including " and \010.)-.15 E F1(Bash)108 278.4 Q F0(allo)2.929 E
-.429(ws the current readline k)-.25 F .729 -.15(ey b)-.1 H .429
-(indings to be displayed or modi\214ed with the).15 F F1(bind)2.93 E F0
--.2(bu)2.93 G .43(iltin command.).2 F .046
-(The editing mode may be switched during interacti)108 290.4 R .346 -.15
-(ve u)-.25 H .046(se by using the).15 F F1<ad6f>2.545 E F0 .045
-(option to the)2.545 F F1(set)2.545 E F0 -.2(bu)2.545 G .045
+dicate a macro de\214nition.)-.15 F .089(Unquoted te)108 249.6 R .089
+(xt is assumed to be a function name.)-.15 F .09(In the macro body)5.089
+F 2.59(,t)-.65 G .09(he backslash escapes described abo)-2.59 F -.15(ve)
+-.15 G(are e)108 261.6 Q 2.5(xpanded. Backslash)-.15 F(will quote an)2.5
+E 2.5(yo)-.15 G(ther character in the macro te)-2.5 E
+(xt, including " and \010.)-.15 E F1(Bash)108 278.4 Q F0(allo)2.93 E .43
+(ws the current readline k)-.25 F .73 -.15(ey b)-.1 H .429
+(indings to be displayed or modi\214ed with the).15 F F1(bind)2.929 E F0
+-.2(bu)2.929 G .429(iltin command.).2 F .045
+(The editing mode may be switched during interacti)108 290.4 R .345 -.15
+(ve u)-.25 H .046(se by using the).15 F F1<ad6f>2.546 E F0 .046
+(option to the)2.546 F F1(set)2.546 E F0 -.2(bu)2.546 G .046
 (iltin command).2 F(\(see)108 302.4 Q/F3 9/Times-Bold@0 SF(SHELL B)2.5 E
 (UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25 E F1
-(Readline V)87 319.2 Q(ariables)-.92 E F0 .043(Readline has v)108 331.2
+(Readline V)87 319.2 Q(ariables)-.92 E F0 .044(Readline has v)108 331.2
 R .043(ariables that can be used to further customize its beha)-.25 F
 (vior)-.2 E 5.043(.A)-.55 G -.25(va)-2.5 G .043
-(riable may be set in the).25 F F2(inpu-)2.554 E(tr)108 343.2 Q(c)-.37 E
+(riable may be set in the).25 F F2(inpu-)2.553 E(tr)108 343.2 Q(c)-.37 E
 F0(\214le with a statement of the form)2.81 E F1(set)144 360 Q F2
 (variable\255name value)2.5 E F0 .79(Except where noted, readline v)108
 376.8 R .79(ariables can tak)-.25 F 3.29(et)-.1 G .79(he v)-3.29 F
 (alues)-.25 E F1(On)3.29 E F0(or)3.29 E F1(Off)3.29 E F0 .79
 (\(without re)3.29 F -.05(ga)-.15 G .79(rd to case\).).05 F(Unrecog-)
-5.79 E .448(nized v)108 388.8 R .448(ariable names are ignored.)-.25 F
+5.79 E .449(nized v)108 388.8 R .448(ariable names are ignored.)-.25 F
 .448(When a v)5.448 F .448(ariable v)-.25 F .448
-(alue is read, empty or null v)-.25 F .449(alues, "on" \(case-insensi-)
--.25 F(ti)108 400.8 Q -.15(ve)-.25 G .468(\), and "1" are equi).15 F
+(alue is read, empty or null v)-.25 F .448(alues, "on" \(case-insensi-)
+-.25 F(ti)108 400.8 Q -.15(ve)-.25 G .467(\), and "1" are equi).15 F
 -.25(va)-.25 G .468(lent to).25 F F1(On)2.968 E F0 5.468(.A)C .468
 (ll other v)-5.468 F .468(alues are equi)-.25 F -.25(va)-.25 G .468
-(lent to).25 F F1(Off)2.968 E F0 5.468(.T)C .467(he v)-5.468 F .467
+(lent to).25 F F1(Off)2.968 E F0 5.468(.T)C .468(he v)-5.468 F .468
 (ariables and their def)-.25 F(ault)-.1 E -.25(va)108 412.8 S(lues are:)
-.25 E F1(bell\255style \(audible\))108 429.6 Q F0 .01
+.25 E F1(bell\255style \(audible\))108 429.6 Q F0 .011
 (Controls what happens when readline w)144 441.6 R .011
-(ants to ring the terminal bell.)-.1 F .011(If set to)5.011 F F1(none)
-2.511 E F0 2.511(,r)C .011(eadline ne)-2.511 F -.15(ve)-.25 G(r).15 E
-.94(rings the bell.)144 453.6 R .94(If set to)5.94 F F1(visible)3.44 E
-F0 3.44(,r)C .94(eadline uses a visible bell if one is a)-3.44 F -.25
-(va)-.2 G 3.44(ilable. If).25 F .94(set to)3.44 F F1(audible)3.44 E F0
-(,)A(readline attempts to ring the terminal')144 465.6 Q 2.5(sb)-.55 G
-(ell.)-2.5 E F1(bind\255tty\255special\255chars \(On\))108 477.6 Q F0
-.055(If set to)144 489.6 R F1(On)2.555 E F0 2.555(,r)C .056(eadline att\
-empts to bind the control characters treated specially by the k)-2.555 F
-(ernel')-.1 E 2.556(st)-.55 G(ermi-)-2.556 E(nal dri)144 501.6 Q -.15
+(ants to ring the terminal bell.)-.1 F .01(If set to)5.01 F F1(none)2.51
+E F0 2.51(,r)C .01(eadline ne)-2.51 F -.15(ve)-.25 G(r).15 E .94
+(rings the bell.)144 453.6 R .94(If set to)5.94 F F1(visible)3.44 E F0
+3.44(,r)C .94(eadline uses a visible bell if one is a)-3.44 F -.25(va)
+-.2 G 3.44(ilable. If).25 F .94(set to)3.44 F F1(audible)3.44 E F0(,)A
+(readline attempts to ring the terminal')144 465.6 Q 2.5(sb)-.55 G(ell.)
+-2.5 E F1(bind\255tty\255special\255chars \(On\))108 477.6 Q F0 .056
+(If set to)144 489.6 R F1(On)2.556 E F0 2.556(,r)C .056(eadline attempt\
+s to bind the control characters treated specially by the k)-2.556 F
+(ernel')-.1 E 2.555(st)-.55 G(ermi-)-2.555 E(nal dri)144 501.6 Q -.15
 (ve)-.25 G 2.5(rt).15 G 2.5(ot)-2.5 G(heir readline equi)-2.5 E -.25(va)
 -.25 G(lents.).25 E F1(comment\255begin \(`)108 513.6 Q(`#')-.63 E('\))
--.63 E F0 .885(The string that is inserted when the readline)144 525.6 R
-F1(insert\255comment)3.385 E F0 .884(command is e)3.384 F -.15(xe)-.15 G
-3.384(cuted. This).15 F(com-)3.384 E(mand is bound to)144 537.6 Q F1
+-.63 E F0 .884(The string that is inserted when the readline)144 525.6 R
+F1(insert\255comment)3.385 E F0 .885(command is e)3.385 F -.15(xe)-.15 G
+3.385(cuted. This).15 F(com-)3.385 E(mand is bound to)144 537.6 Q F1
 (M\255#)2.5 E F0(in emacs mode and to)2.5 E F1(#)2.5 E F0
 (in vi command mode.)2.5 E F1(completion\255ignor)108 549.6 Q
 (e\255case \(Off\))-.18 E F0(If set to)144 561.6 Q F1(On)2.5 E F0 2.5
 (,r)C(eadline performs \214lename matching and completion in a case\255\
 insensiti)-2.5 E .3 -.15(ve f)-.25 H(ashion.).05 E F1
-(completion\255query\255items \(100\))108 573.6 Q F0 .529
-(This determines when the user is queried about vie)144 585.6 R .53
-(wing the number of possible completions gen-)-.25 F .561(erated by the)
-144 597.6 R F1(possible\255completions)3.061 E F0 3.061(command. It)
-3.061 F .561(may be set to an)3.061 F 3.06(yi)-.15 G(nte)-3.06 E .56
-(ger v)-.15 F .56(alue greater than or)-.25 F .782(equal to zero.)144
-609.6 R .783(If the number of possible completions is greater than or e\
-qual to the v)5.782 F .783(alue of this)-.25 F -.25(va)144 621.6 S .237
+(completion\255query\255items \(100\))108 573.6 Q F0 .53
+(This determines when the user is queried about vie)144 585.6 R .529
+(wing the number of possible completions gen-)-.25 F .56(erated by the)
+144 597.6 R F1(possible\255completions)3.06 E F0 3.06(command. It)3.06 F
+.561(may be set to an)3.061 F 3.061(yi)-.15 G(nte)-3.061 E .561(ger v)
+-.15 F .561(alue greater than or)-.25 F .783(equal to zero.)144 609.6 R
+.783(If the number of possible completions is greater than or equal to \
+the v)5.783 F .782(alue of this)-.25 F -.25(va)144 621.6 S .237
 (riable, the user is ask).25 F .237(ed whether or not he wishes to vie)
 -.1 F 2.737(wt)-.25 G .237(hem; otherwise the)-2.737 F 2.737(ya)-.15 G
 .237(re simply listed)-2.737 F(on the terminal.)144 633.6 Q F1(con)108
-645.6 Q -.1(ve)-.4 G(rt\255meta \(On\)).1 E F0 .612(If set to)144 657.6
-R F1(On)3.112 E F0 3.112(,r)C .613(eadline will con)-3.112 F -.15(ve)-.4
-G .613(rt characters with the eighth bit set to an ASCII k).15 F .913
--.15(ey s)-.1 H .613(equence by).15 F .541
+645.6 Q -.1(ve)-.4 G(rt\255meta \(On\)).1 E F0 .613(If set to)144 657.6
+R F1(On)3.113 E F0 3.113(,r)C .613(eadline will con)-3.113 F -.15(ve)-.4
+G .613(rt characters with the eighth bit set to an ASCII k).15 F .912
+-.15(ey s)-.1 H .612(equence by).15 F .541
 (stripping the eighth bit and pre\214xing an escape character \(in ef)
-144 669.6 R .541(fect, using escape as the)-.25 F F2 .541(meta pr)3.041
+144 669.6 R .541(fect, using escape as the)-.25 F F2 .542(meta pr)3.042
 F(e-)-.37 E<8c78>144 681.6 Q F0(\).)A F1(disable\255completion \(Off\))
 108 693.6 Q F0 .038(If set to)144 705.6 R F1(On)2.538 E F0 2.538(,r)C
 .038(eadline will inhibit w)-2.538 F .038(ord completion.)-.1 F .038
 (Completion characters will be inserted into the)5.038 F(line as if the)
 144 717.6 Q 2.5(yh)-.15 G(ad been mapped to)-2.5 E F1(self-insert)2.5 E
-F0(.)A(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(33)185.955 E 0
-Cg EP
+F0(.)A(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(33)190.95 E 0 Cg
+EP
 %%Page: 34 34
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E/F1 10/Times-Bold@0 SF(editing\255mode \(emacs\))108 84 Q F0 .253
+-.35 E/F1 10/Times-Bold@0 SF(editing\255mode \(emacs\))108 84 Q F0 .252
 (Controls whether readline be)144 96 R .253(gins with a set of k)-.15 F
 .553 -.15(ey b)-.1 H .253(indings similar to).15 F/F2 10/Times-Italic@0
-SF(emacs)2.752 E F0(or)2.752 E F2(vi)2.752 E F0(.)A F1(editing\255mode)
-5.252 E F0(can be set to either)144 108 Q F1(emacs)2.5 E F0(or)2.5 E F1
-(vi)2.5 E F0(.)A F1(enable\255k)108 120 Q(eypad \(Off\))-.1 E F0 .892
+SF(emacs)2.753 E F0(or)2.753 E F2(vi)2.753 E F0(.)A F1(editing\255mode)
+5.253 E F0(can be set to either)144 108 Q F1(emacs)2.5 E F0(or)2.5 E F1
+(vi)2.5 E F0(.)A F1(enable\255k)108 120 Q(eypad \(Off\))-.1 E F0 .893
 (When set to)144 132 R F1(On)3.393 E F0 3.393(,r)C .893
 (eadline will try to enable the application k)-3.393 F -.15(ey)-.1 G
-.893(pad when it is called.).15 F .893(Some sys-)5.893 F
+.893(pad when it is called.).15 F .892(Some sys-)5.893 F
 (tems need this to enable the arro)144 144 Q 2.5(wk)-.25 G -.15(ey)-2.6
 G(s.).15 E F1(expand\255tilde \(Off\))108 156 Q F0(If set to)144 168 Q
 F1(on)2.5 E F0 2.5(,t)C(ilde e)-2.5 E
 (xpansion is performed when readline attempts w)-.15 E(ord completion.)
 -.1 E F1(history\255pr)108 180 Q(eser)-.18 E -.1(ve)-.1 G
-(\255point \(Off\)).1 E F0 1.493(If set to)144 192 R F1(on)3.993 E F0
-3.993(,t)C 1.493(he history code attempts to place point at the same lo\
-cation on each history line)-3.993 F(retrie)144 204 Q -.15(ve)-.25 G 2.5
+(\255point \(Off\)).1 E F0 1.492(If set to)144 192 R F1(on)3.992 E F0
+3.992(,t)C 1.493(he history code attempts to place point at the same lo\
+cation on each history line)-3.992 F(retrie)144 204 Q -.15(ve)-.25 G 2.5
 (dw).15 G(ith)-2.5 E F1(pr)2.5 E -.15(ev)-.18 G(ious-history).15 E F0
 (or)2.5 E F1(next-history)2.5 E F0(.)A F1(horizontal\255scr)108 216 Q
-(oll\255mode \(Off\))-.18 E F0 .448(When set to)144 228 R F1(On)2.948 E
-F0 2.948(,m)C(ak)-2.948 E .448
-(es readline use a single line for display)-.1 F 2.948(,s)-.65 G .449
+(oll\255mode \(Off\))-.18 E F0 .449(When set to)144 228 R F1(On)2.949 E
+F0 2.949(,m)C(ak)-2.949 E .448
+(es readline use a single line for display)-.1 F 2.948(,s)-.65 G .448
 (crolling the input horizontally on a)-2.948 F 1.194(single screen line\
  when it becomes longer than the screen width rather than wrapping to a\
  ne)144 240 R(w)-.25 E(line.)144 252 Q F1(input\255meta \(Off\))108 264
-Q F0 .227(If set to)144 276 R F1(On)2.727 E F0 2.727(,r)C .228(eadline \
+Q F0 .228(If set to)144 276 R F1(On)2.728 E F0 2.728(,r)C .227(eadline \
 will enable eight-bit input \(that is, it will not strip the high bit f\
-rom the char)-2.727 F(-)-.2 E .957(acters it reads\), re)144 288 R -.05
+rom the char)-2.728 F(-)-.2 E .956(acters it reads\), re)144 288 R -.05
 (ga)-.15 G .956(rdless of what the terminal claims it can support.).05 F
-.956(The name)5.956 F F1(meta\255\215ag)3.456 E F0 .956(is a)3.456 F
+.957(The name)5.956 F F1(meta\255\215ag)3.457 E F0 .957(is a)3.457 F
 (synon)144 300 Q(ym for this v)-.15 E(ariable.)-.25 E F1(isear)108 312 Q
 (ch\255terminators \(`)-.18 E(`C\255[C\255J')-.63 E('\))-.63 E F0 .439(\
 The string of characters that should terminate an incremental search wi\
-thout subsequently e)144 324 R -.15(xe)-.15 G(cut-).15 E .935
+thout subsequently e)144 324 R -.15(xe)-.15 G(cut-).15 E .934
 (ing the character as a command.)144 336 R .935(If this v)5.935 F .935
-(ariable has not been gi)-.25 F -.15(ve)-.25 G 3.434(nav).15 G .934
-(alue, the characters)-3.684 F F2(ESC)3.434 E F0(and)144 348 Q F2
+(ariable has not been gi)-.25 F -.15(ve)-.25 G 3.435(nav).15 G .935
+(alue, the characters)-3.685 F F2(ESC)3.435 E F0(and)144 348 Q F2
 (C\255J)2.5 E F0(will terminate an incremental search.)2.5 E F1 -.1(ke)
-108 360 S(ymap \(emacs\)).1 E F0 2.02(Set the current readline k)144 372
-R -.15(ey)-.1 G 4.521(map. The).15 F 2.021(set of v)4.521 F 2.021
-(alid k)-.25 F -.15(ey)-.1 G 2.021(map names is).15 F F2 2.021
-(emacs, emacs\255standar)4.521 F(d,)-.37 E .069
+108 360 S(ymap \(emacs\)).1 E F0 2.021(Set the current readline k)144
+372 R -.15(ey)-.1 G 4.521(map. The).15 F 2.021(set of v)4.521 F 2.021
+(alid k)-.25 F -.15(ey)-.1 G 2.021(map names is).15 F F2 2.02
+(emacs, emacs\255standar)4.52 F(d,)-.37 E .068
 (emacs\255meta, emacs\255ctlx, vi, vi\255command)144 384 R F0 2.568(,a)C
 (nd)-2.568 E F2(vi\255insert)2.568 E F0(.).68 E F2(vi)5.068 E F0 .068
 (is equi)2.568 F -.25(va)-.25 G .068(lent to).25 F F2(vi\255command)
-2.568 E F0(;)A F2(emacs)2.568 E F0 1.543(is equi)144 396 R -.25(va)-.25
-G 1.543(lent to).25 F F2(emacs\255standar)4.044 E(d)-.37 E F0 6.544(.T)C
+2.569 E F0(;)A F2(emacs)2.569 E F0 1.544(is equi)144 396 R -.25(va)-.25
+G 1.544(lent to).25 F F2(emacs\255standar)4.044 E(d)-.37 E F0 6.544(.T)C
 1.544(he def)-6.544 F 1.544(ault v)-.1 F 1.544(alue is)-.25 F F2(emacs)
 4.044 E F0 4.044(;t).27 G 1.544(he v)-4.044 F 1.544(alue of)-.25 F F1
-(editing\255mode)4.044 E F0(also)4.044 E(af)144 408 Q(fects the def)-.25
+(editing\255mode)4.043 E F0(also)4.043 E(af)144 408 Q(fects the def)-.25
 E(ault k)-.1 E -.15(ey)-.1 G(map.).15 E F1(mark\255dir)108 420 Q
 (ectories \(On\))-.18 E F0(If set to)144 432 Q F1(On)2.5 E F0 2.5(,c)C
 (ompleted directory names ha)-2.5 E .3 -.15(ve a s)-.2 H(lash appended.)
@@ -4135,69 +4136,69 @@ E(ault k)-.1 E -.15(ey)-.1 G(map.).15 E F1(mark\255dir)108 420 Q
 (ompleted names which are symbolic links to directories ha)-2.675 F .475
 -.15(ve a s)-.2 H .175(lash appended \(sub-).15 F(ject to the v)144 492
 Q(alue of)-.25 E F1(mark\255dir)2.5 E(ectories)-.18 E F0(\).)A F1
-(match\255hidden\255\214les \(On\))108 504 Q F0 .192(This v)144 516 R
-.192(ariable, when set to)-.25 F F1(On)2.692 E F0 2.692(,c)C .192
-(auses readline to match \214les whose names be)-2.692 F .193
-(gin with a `.)-.15 F 2.693('\()-.7 G(hidden)-2.693 E 1.024
+(match\255hidden\255\214les \(On\))108 504 Q F0 .193(This v)144 516 R
+.193(ariable, when set to)-.25 F F1(On)2.693 E F0 2.693(,c)C .192
+(auses readline to match \214les whose names be)-2.693 F .192
+(gin with a `.)-.15 F 2.692('\()-.7 G(hidden)-2.692 E 1.023
 (\214les\) when performing \214lename completion, unless the leading `.)
-144 528 R 3.523('i)-.7 G 3.523(ss)-3.523 G 1.023
+144 528 R 3.523('i)-.7 G 3.523(ss)-3.523 G 1.024
 (upplied by the user in the)-3.523 F(\214lename to be completed.)144 540
-Q F1(output\255meta \(Off\))108 552 Q F0 .506(If set to)144 564 R F1(On)
-3.006 E F0 3.006(,r)C .507(eadline will display characters with the eig\
-hth bit set directly rather than as a meta-)-3.006 F(pre\214x)144 576 Q
+Q F1(output\255meta \(Off\))108 552 Q F0 .507(If set to)144 564 R F1(On)
+3.007 E F0 3.007(,r)C .507(eadline will display characters with the eig\
+hth bit set directly rather than as a meta-)-3.007 F(pre\214x)144 576 Q
 (ed escape sequence.)-.15 E F1(page\255completions \(On\))108 588 Q F0
-.809(If set to)144 600 R F1(On)3.308 E F0 3.308(,r)C .808
+.808(If set to)144 600 R F1(On)3.308 E F0 3.308(,r)C .808
 (eadline uses an internal)-3.308 F F2(mor)3.308 E(e)-.37 E F0(-lik)A
 3.308(ep)-.1 G .808(ager to display a screenful of possible comple-)
 -3.308 F(tions at a time.)144 612 Q F1
-(print\255completions\255horizontally \(Off\))108 624 Q F0 1.318
-(If set to)144 636 R F1(On)3.818 E F0 3.818(,r)C 1.319(eadline will dis\
-play completions with matches sorted horizontally in alphabetical)-3.818
+(print\255completions\255horizontally \(Off\))108 624 Q F0 1.319
+(If set to)144 636 R F1(On)3.819 E F0 3.819(,r)C 1.318(eadline will dis\
+play completions with matches sorted horizontally in alphabetical)-3.819
 F(order)144 648 Q 2.5(,r)-.4 G(ather than do)-2.5 E(wn the screen.)-.25
-E F1(sho)108 660 Q(w\255all\255if\255ambiguous \(Off\))-.1 E F0 .478
-(This alters the def)144 672 R .478(ault beha)-.1 F .478
-(vior of the completion functions.)-.2 F .477(If set to)5.477 F F1(on)
-2.977 E F0 2.977(,w)C .477(ords which ha)-3.077 F .777 -.15(ve m)-.2 H
+E F1(sho)108 660 Q(w\255all\255if\255ambiguous \(Off\))-.1 E F0 .477
+(This alters the def)144 672 R .477(ault beha)-.1 F .477
+(vior of the completion functions.)-.2 F .478(If set to)5.478 F F1(on)
+2.978 E F0 2.978(,w)C .478(ords which ha)-3.078 F .778 -.15(ve m)-.2 H
 (ore).15 E 1.264(than one possible completion cause the matches to be l\
 isted immediately instead of ringing the)144 684 R(bell.)144 696 Q
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(34)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(34)190.95 E 0 Cg EP
 %%Page: 35 35
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(sho)108 84 Q
-(w\255all\255if\255unmodi\214ed \(Off\))-.1 E F0 5.346
-(This alters the def)144 96 R 5.346(ault beha)-.1 F 5.345
-(vior of the completion functions in a f)-.2 F 5.345(ashion similar to)
--.1 F F1(sho)144 108 Q(w\255all\255if\255ambiguous)-.1 E F0 6.922(.I)C
-4.422(fs)-6.922 G 1.922(et to)-4.422 F F1(on)4.422 E F0 4.422(,w)C 1.922
-(ords which ha)-4.522 F 2.223 -.15(ve m)-.2 H 1.923
-(ore than one possible completion).15 F 1.04(without an)144 120 R 3.54
+(w\255all\255if\255unmodi\214ed \(Off\))-.1 E F0 5.345
+(This alters the def)144 96 R 5.345(ault beha)-.1 F 5.345
+(vior of the completion functions in a f)-.2 F 5.346(ashion similar to)
+-.1 F F1(sho)144 108 Q(w\255all\255if\255ambiguous)-.1 E F0 6.923(.I)C
+4.423(fs)-6.923 G 1.923(et to)-4.423 F F1(on)4.423 E F0 4.423(,w)C 1.923
+(ords which ha)-4.523 F 2.222 -.15(ve m)-.2 H 1.922
+(ore than one possible completion).15 F 1.039(without an)144 120 R 3.539
 (yp)-.15 G 1.039
-(ossible partial completion \(the possible completions don')-3.54 F
-3.539(ts)-.18 G 1.039(hare a common pre\214x\))-3.539 F(cause the match\
-es to be listed immediately instead of ringing the bell.)144 132 Q F1
-(visible\255stats \(Off\))108 144 Q F0 .846(If set to)144 156 R F1(On)
+(ossible partial completion \(the possible completions don')-3.539 F
+3.539(ts)-.18 G 1.04(hare a common pre\214x\))-3.539 F(cause the matche\
+s to be listed immediately instead of ringing the bell.)144 132 Q F1
+(visible\255stats \(Off\))108 144 Q F0 .847(If set to)144 156 R F1(On)
 3.346 E F0 3.346(,ac)C .846(haracter denoting a \214le')-3.346 F 3.346
 (st)-.55 G .846(ype as reported by)-3.346 F/F2 10/Times-Italic@0 SF
 (stat)3.346 E F0 .846(\(2\) is appended to the \214lename)B
 (when listing possible completions.)144 168 Q F1
 (Readline Conditional Constructs)87 184.8 Q F0 .05
 (Readline implements a f)108 196.8 R .05(acility similar in spirit to t\
-he conditional compilation features of the C preprocessor)-.1 F .096
-(which allo)108 208.8 R .096(ws k)-.25 F .396 -.15(ey b)-.1 H .096
+he conditional compilation features of the C preprocessor)-.1 F .097
+(which allo)108 208.8 R .097(ws k)-.25 F .396 -.15(ey b)-.1 H .096
 (indings and v).15 F .096
-(ariable settings to be performed as the result of tests.)-.25 F .097
+(ariable settings to be performed as the result of tests.)-.25 F .096
 (There are four parser)5.096 F(directi)108 220.8 Q -.15(ve)-.25 G 2.5
-(su).15 G(sed.)-2.5 E F1($if)108 237.6 Q F0(The)24.89 E F1($if)2.963 E
-F0 .463(construct allo)2.963 F .462(ws bindings to be made based on the\
- editing mode, the terminal being used,)-.25 F .477
+(su).15 G(sed.)-2.5 E F1($if)108 237.6 Q F0(The)24.89 E F1($if)2.962 E
+F0 .462(construct allo)2.962 F .463(ws bindings to be made based on the\
+ editing mode, the terminal being used,)-.25 F .478
 (or the application using readline.)144 249.6 R .477(The te)5.477 F .477
 (xt of the test e)-.15 F .477
 (xtends to the end of the line; no characters)-.15 F
 (are required to isolate it.)144 261.6 Q F1(mode)144 278.4 Q F0(The)
-12.67 E F1(mode=)3.712 E F0 1.212(form of the)3.712 F F1($if)3.711 E F0
+12.67 E F1(mode=)3.711 E F0 1.211(form of the)3.711 F F1($if)3.711 E F0
 (directi)3.711 E 1.511 -.15(ve i)-.25 H 3.711(su).15 G 1.211
 (sed to test whether readline is in emacs or vi)-3.711 F 3.065
 (mode. This)180 290.4 R .565(may be used in conjunction with the)3.065 F
@@ -4205,13 +4206,13 @@ F1 .565(set k)3.065 F(eymap)-.1 E F0 .565(command, for instance, to)
 3.065 F .735(set bindings in the)180 302.4 R F2(emacs\255standar)3.235 E
 (d)-.37 E F0(and)3.235 E F2(emacs\255ctlx)3.235 E F0 -.1(ke)3.235 G .735
 (ymaps only if readline is starting)-.05 F(out in emacs mode.)180 314.4
-Q F1(term)144 331.2 Q F0(The)15.46 E F1(term=)3.196 E F0 .696
-(form may be used to include terminal-speci\214c k)3.196 F .996 -.15
-(ey b)-.1 H .697(indings, perhaps to bind).15 F .654(the k)180 343.2 R
+Q F1(term)144 331.2 Q F0(The)15.46 E F1(term=)3.197 E F0 .696
+(form may be used to include terminal-speci\214c k)3.197 F .996 -.15
+(ey b)-.1 H .696(indings, perhaps to bind).15 F .654(the k)180 343.2 R
 .954 -.15(ey s)-.1 H .654(equences output by the terminal').15 F 3.154
 (sf)-.55 G .654(unction k)-3.154 F -.15(ey)-.1 G 3.154(s. The).15 F -.1
-(wo)3.154 G .654(rd on the right side of).1 F(the)180 355.2 Q F1(=)3.231
-E F0 .731(is tested ag)3.231 F .732(ainst the both full name of the ter\
+(wo)3.154 G .654(rd on the right side of).1 F(the)180 355.2 Q F1(=)3.232
+E F0 .732(is tested ag)3.232 F .732(ainst the both full name of the ter\
 minal and the portion of the terminal)-.05 F(name before the \214rst)180
 367.2 Q F1<ad>2.5 E F0 5(.T)C(his allo)-5 E(ws)-.25 E F2(sun)2.84 E F0
 (to match both)2.74 E F2(sun)2.84 E F0(and)2.74 E F2(sun\255cmd)2.5 E F0
@@ -4220,12 +4221,12 @@ Q F1(application)3.003 E F0 .503
 (construct is used to include application-speci\214c settings.)3.003 F
 .503(Each program)5.503 F .114(using the readline library sets the)180
 408 R F2 .114(application name)2.614 F F0 2.614(,a)C .114
-(nd an initialization \214le can test for a)-2.614 F .501(particular v)
-180 420 R 3.001(alue. This)-.25 F .501(could be used to bind k)3.001 F
-.801 -.15(ey s)-.1 H .5(equences to functions useful for a spe-).15 F
-.396(ci\214c program.)180 432 R -.15(Fo)5.396 G 2.896(ri).15 G .396
+(nd an initialization \214le can test for a)-2.614 F .5(particular v)180
+420 R 3(alue. This)-.25 F .501(could be used to bind k)3 F .801 -.15
+(ey s)-.1 H .501(equences to functions useful for a spe-).15 F .397
+(ci\214c program.)180 432 R -.15(Fo)5.397 G 2.896(ri).15 G .396
 (nstance, the follo)-2.896 F .396(wing command adds a k)-.25 F .696 -.15
-(ey s)-.1 H .397(equence that quotes the).15 F(current or pre)180 444 Q
+(ey s)-.1 H .396(equence that quotes the).15 F(current or pre)180 444 Q
 (vious w)-.25 E(ord in Bash:)-.1 E F1($if)180 468 Q F0(Bash)2.5 E 2.5
 (#Q)180 480 S(uote the current or pre)-2.5 E(vious w)-.25 E(ord)-.1 E
 ("\\C\255xq": "\\eb\\"\\ef\\"")180 492 Q F1($endif)180 504 Q($endif)108
@@ -4233,74 +4234,75 @@ Q F1(application)3.003 E F0 .503
 (xample, terminates an)-.15 E F1($if)2.5 E F0(command.)2.5 E F1($else)
 108 537.6 Q F0(Commands in this branch of the)15.45 E F1($if)2.5 E F0
 (directi)2.5 E .3 -.15(ve a)-.25 H(re e).15 E -.15(xe)-.15 G
-(cuted if the test f).15 E(ails.)-.1 E F1($include)108 554.4 Q F0 .357
-(This directi)144 566.4 R .657 -.15(ve t)-.25 H(ak).15 E .357
-(es a single \214lename as an ar)-.1 F .356
+(cuted if the test f).15 E(ails.)-.1 E F1($include)108 554.4 Q F0 .356
+(This directi)144 566.4 R .656 -.15(ve t)-.25 H(ak).15 E .356
+(es a single \214lename as an ar)-.1 F .357
 (gument and reads commands and bindings from that)-.18 F 2.5(\214le. F)
 144 578.4 R(or e)-.15 E(xample, the follo)-.15 E(wing directi)-.25 E .3
 -.15(ve w)-.25 H(ould read).05 E F2(/etc/inputr)2.5 E(c)-.37 E F0(:)A F1
 ($include)144 602.4 Q F2(/etc/inputr)5.833 E(c)-.37 E F1(Sear)87 619.2 Q
-(ching)-.18 E F0 .834(Readline pro)108 631.2 R .834
+(ching)-.18 E F0 .835(Readline pro)108 631.2 R .835
 (vides commands for searching through the command history \(see)-.15 F
-/F3 9/Times-Bold@0 SF(HIST)3.335 E(OR)-.162 E(Y)-.315 E F0(belo)3.085 E
-.835(w\) for lines)-.25 F(containing a speci\214ed string.)108 643.2 Q
+/F3 9/Times-Bold@0 SF(HIST)3.334 E(OR)-.162 E(Y)-.315 E F0(belo)3.084 E
+.834(w\) for lines)-.25 F(containing a speci\214ed string.)108 643.2 Q
 (There are tw)5 E 2.5(os)-.1 G(earch modes:)-2.5 E F2(incr)2.51 E
 (emental)-.37 E F0(and)3.01 E F2(non-incr)2.5 E(emental)-.37 E F0(.).51
-E .698(Incremental searches be)108 660 R .698
+E .697(Incremental searches be)108 660 R .697
 (gin before the user has \214nished typing the search string.)-.15 F
-.697(As each character of the)5.697 F .112
+.698(As each character of the)5.698 F .113
 (search string is typed, readline displays the ne)108 672 R .112
 (xt entry from the history matching the string typed so f)-.15 F(ar)-.1
-E 5.113(.A)-.55 G(n)-5.113 E .542
+E 5.112(.A)-.55 G(n)-5.112 E .542
 (incremental search requires only as man)108 684 R 3.042(yc)-.15 G .542
-(haracters as needed to \214nd the desired history entry)-3.042 F 5.541
-(.T)-.65 G .541(he char)-5.541 F(-)-.2 E .224(acters present in the v)
+(haracters as needed to \214nd the desired history entry)-3.042 F 5.542
+(.T)-.65 G .542(he char)-5.542 F(-)-.2 E .224(acters present in the v)
 108 696 R .224(alue of the)-.25 F F1(isear)2.724 E(ch-terminators)-.18 E
 F0 -.25(va)2.724 G .224
 (riable are used to terminate an incremental search.).25 F .66
 (If that v)108 708 R .66(ariable has not been assigned a v)-.25 F .66
 (alue the Escape and Control-J characters will terminate an incre-)-.25
-F .096(mental search.)108 720 R .096(Control-G will abort an incrementa\
-l search and restore the original line.)5.096 F .097(When the search is)
-5.097 F(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(35)185.955 E 0
-Cg EP
+F .097(mental search.)108 720 R .096(Control-G will abort an incrementa\
+l search and restore the original line.)5.097 F .096(When the search is)
+5.096 F(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(35)190.95 E 0 Cg
+EP
 %%Page: 36 36
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E(terminated, the history entry containing the search string becom\
-es the current line.)108 84 Q 2.939 -.8(To \214)108 100.8 T 1.339(nd ot\
+es the current line.)108 84 Q 2.938 -.8(To \214)108 100.8 T 1.339(nd ot\
 her matching entries in the history list, type Control-S or Control-R a\
-s appropriate.).8 F 1.338(This will)6.338 F .674(search backw)108 112.8
-R .674(ard or forw)-.1 F .674(ard in the history for the ne)-.1 F .675
-(xt entry matching the search string typed so f)-.15 F(ar)-.1 E 5.675
-(.A)-.55 G -.15(ny)-5.675 G .175(other k)108 124.8 R .475 -.15(ey s)-.1
+s appropriate.).8 F 1.339(This will)6.339 F .675(search backw)108 112.8
+R .675(ard or forw)-.1 F .675(ard in the history for the ne)-.1 F .674
+(xt entry matching the search string typed so f)-.15 F(ar)-.1 E 5.674
+(.A)-.55 G -.15(ny)-5.674 G .174(other k)108 124.8 R .474 -.15(ey s)-.1
 H .174
 (equence bound to a readline command will terminate the search and e).15
-F -.15(xe)-.15 G .174(cute that command.).15 F -.15(Fo)5.174 G(r).15 E
-.54(instance, a)108 136.8 R/F1 10/Times-Italic@0 SF(ne)3.04 E(wline)-.15
-E F0 .541(will terminate the search and accept the line, thereby e)3.04
-F -.15(xe)-.15 G .541(cuting the command from the).15 F(history list.)
-108 148.8 Q .653(Readline remembers the last incremental search string.)
-108 165.6 R .653(If tw)5.653 F 3.153(oC)-.1 G .653
-(ontrol-Rs are typed without an)-3.153 F 3.152(yi)-.15 G(nterv)-3.152 E
-(en-)-.15 E(ing characters de\214ning a ne)108 177.6 Q 2.5(ws)-.25 G
+F -.15(xe)-.15 G .175(cute that command.).15 F -.15(Fo)5.175 G(r).15 E
+.541(instance, a)108 136.8 R/F1 10/Times-Italic@0 SF(ne)3.041 E(wline)
+-.15 E F0 .541(will terminate the search and accept the line, thereby e)
+3.041 F -.15(xe)-.15 G .54(cuting the command from the).15 F
+(history list.)108 148.8 Q .653
+(Readline remembers the last incremental search string.)108 165.6 R .653
+(If tw)5.653 F 3.153(oC)-.1 G .653(ontrol-Rs are typed without an)-3.153
+F 3.153(yi)-.15 G(nterv)-3.153 E(en-)-.15 E
+(ing characters de\214ning a ne)108 177.6 Q 2.5(ws)-.25 G
 (earch string, an)-2.5 E 2.5(yr)-.15 G(emembered search string is used.)
 -2.5 E .567(Non-incremental searches read the entire search string befo\
 re starting to search for matching history lines.)108 194.4 R(The searc\
 h string may be typed by the user or be part of the contents of the cur\
 rent line.)108 206.4 Q/F2 10/Times-Bold@0 SF(Readline Command Names)87
-223.2 Q F0 1.392(The follo)108 235.2 R 1.391
+223.2 Q F0 1.391(The follo)108 235.2 R 1.391
 (wing is a list of the names of the commands and the def)-.25 F 1.391
 (ault k)-.1 F 1.691 -.15(ey s)-.1 H 1.391(equences to which the).15 F
-3.891(ya)-.15 G(re)-3.891 E 2.621(bound. Command)108 247.2 R .121
-(names without an accompan)2.621 F .121(ying k)-.15 F .421 -.15(ey s)-.1
-H .122(equence are unbound by def).15 F 2.622(ault. In)-.1 F .122
-(the follo)2.622 F(wing)-.25 E(descriptions,)108 259.2 Q F1(point)3.411
-E F0 .911(refers to the current cursor position, and)3.411 F F1(mark)
-3.411 E F0 .91(refers to a cursor position sa)3.411 F -.15(ve)-.2 G 3.41
-(db).15 G 3.41(yt)-3.41 G(he)-3.41 E F2(set\255mark)108 271.2 Q F0 2.5
+3.892(ya)-.15 G(re)-3.892 E 2.622(bound. Command)108 247.2 R .122
+(names without an accompan)2.622 F .122(ying k)-.15 F .421 -.15(ey s)-.1
+H .121(equence are unbound by def).15 F 2.621(ault. In)-.1 F .121
+(the follo)2.621 F(wing)-.25 E(descriptions,)108 259.2 Q F1(point)3.41 E
+F0 .91(refers to the current cursor position, and)3.41 F F1(mark)3.411 E
+F0 .911(refers to a cursor position sa)3.411 F -.15(ve)-.2 G 3.411(db)
+.15 G 3.411(yt)-3.411 G(he)-3.411 E F2(set\255mark)108 271.2 Q F0 2.5
 (command. The)2.5 F(te)2.5 E
 (xt between the point and mark is referred to as the)-.15 E F1 -.37(re)
 2.5 G(gion)-.03 E F0(.)A F2(Commands f)87 288 Q(or Mo)-.25 E(ving)-.1 E
@@ -4312,8 +4314,8 @@ E F0 .911(refers to the current cursor position, and)3.411 F F1(mark)
 .15 E(ard a character)-.1 E(.)-.55 E F2(backward\255char \(C\255b\))108
 372 Q F0(Mo)144 384 Q .3 -.15(ve b)-.15 H(ack a character).15 E(.)-.55 E
 F2 -.25(fo)108 396 S(rward\255w).25 E(ord \(M\255f\))-.1 E F0(Mo)144 408
-Q .822 -.15(ve f)-.15 H(orw).15 E .522(ard to the end of the ne)-.1 F
-.523(xt w)-.15 F 3.023(ord. W)-.1 F .523
+Q .823 -.15(ve f)-.15 H(orw).15 E .523(ard to the end of the ne)-.1 F
+.523(xt w)-.15 F 3.023(ord. W)-.1 F .522
 (ords are composed of alphanumeric characters \(let-)-.8 F
 (ters and digits\).)144 420 Q F2(backward\255w)108 432 Q(ord \(M\255b\))
 -.1 E F0(Mo)144 444 Q 1.71 -.15(ve b)-.15 H 1.41
